%{!?upstream_version: %global upstream_version %{version}%{?milestone}}
%define upstream_name puppet-midonet

Name:           puppet-midonet
# Bumped epoch after repo movement from github.com/midonet to github.com/openstack
Epoch:          1
Version:        1.1.0
Release:        2%{?dist}
Summary:        Configure and install MidoNet components
License:        ASL 2.0

URL:            https://github.com/midonet/puppet-midonet

Source0:        https://github.com/openstack/%{upstream_name}/archive/%{upstream_version}.tar.gz

# patches_ignore=DROP-IN-RPM
# patches_base=1.1.0
Patch0001: 0001-Fix-bug-on-cluster.pp.patch
Patch0002: 0002-proxy-pass-midonet-api.patch
Patch0003: 0003-Doesn-t-make-analytics-manifests-bomb-on-RHEL7.patch
Patch0004: 0004-Put-quotes-around-parameters-on-analytics.conf.patch
Patch0005: 0005-Fix-proxypass-statement-for-MEM.patch
Patch0006: 0006-Point-to-ocata-branch-in-.gitreview.patch
Patch0007: 0007-Update-elasticsearch-JVM-config-file.patch
Patch0008: 0008-Dont-use-Initctl-because-it-has-been-removed-from-Ub.patch
Patch0009: 0009-Fix-logstash-restart-for-suregit-add-services.pp.patch
Patch0010: 0010-Add-workaround-script-for-midonet-elk.patch
Patch0011: 0011-Fix-the-paths-for-analytics-so-service-doesnt-bomb.patch
Patch0012: 0012-Fix-manifests-analytics-for-debian.patch
Patch0013: 0013-Make-analytics-repositories-truly-manageable.patch
Patch0014: 0014-Add-timeout-for-static-uplink-script.patch
Patch0015: 0015-Set-purge_config-to-false-on-logstash-class.patch
Patch0016: 0016-Configure-stuff-after-config-file-is-in-place.patch

BuildArch:      noarch

Requires:       puppet-module-data
Requires:       puppet-inifile
Requires:       puppet-zookeeper
Requires:       puppet-cassandra
#Requires:       puppet-apt
Requires:       puppet-java
Requires:       puppet-tomcat
Requires:       puppet-stdlib
Requires:       puppet >= 2.7.0

%description
Configure and install MidoNet components

%prep
%setup -q -n %{name}-%{upstream_version}

%patch0001 -p1
%patch0002 -p1
%patch0003 -p1
%patch0004 -p1
%patch0005 -p1
%patch0006 -p1
%patch0007 -p1
%patch0008 -p1
%patch0009 -p1
%patch0010 -p1
%patch0011 -p1
%patch0012 -p1
%patch0013 -p1
%patch0014 -p1
%patch0015 -p1
%patch0016 -p1

find . -type f -name ".*" -exec rm {} +
find . -size 0 -exec rm {} +
find . \( -name "*.pl" -o -name "*.sh"  \) -exec chmod +x {} +
find . \( -name "*.pp" -o -name "*.py"  \) -exec chmod -x {} +
find . \( -name "*.rb" -o -name "*.erb" \) -exec chmod -x {} +
find . \( -name spec -o -name ext \) | xargs rm -rf

%build


%install
rm -rf %{buildroot}
install -d -m 0755 %{buildroot}/%{_datadir}/openstack-puppet/modules/midonet/
cp -rp * %{buildroot}/%{_datadir}/openstack-puppet/modules/midonet/



%files
%{_datadir}/openstack-puppet/modules/midonet/


%changelog
* Thu Apr 13 2017 Jon Schlueter <jschluet@redhat.com> 1:1.1.0-2
- Configure stuff after config file is in place
- Set purge_config to false on logstash class
- Add timeout for static uplink script
- Make analytics repositories truly manageable
- Fix manifests analytics for debian
- Fix the paths for analytics , so service doesnt :bomb:
- Add workaround script for midonet-elk
- Fix logstash restart for suregit add services.pp
- Dont use Initctl because it has been removed from Ubuntu 14.04.
- Update elasticsearch JVM config file
- Point to ocata branch in .gitreview
- Fix proxypass statement for MEM
- Put quotes around parameters on analytics.conf
- Doesn't make analytics manifests :bomb: on RHEL7
- proxy pass midonet-api
- Fix bug on cluster.pp

* Mon Feb 13 2017 Alfredo Moralejo <amoralej@redhat.com> 1:1.1.0-1
- Update to 1.1.0


